import Chip from '@/library/chip';
import Text from '@/library/text';
import TopNavigation from '@/library/top-navigation';
import React, { useEffect } from 'react';
import { View } from 'react-native';
import LinearGradient from 'react-native-linear-gradient';

export default function Home() {
  const handleSearch = async () => {
    // 예시 값
    const location = '부산';
    const theme = '아이와 가기 좋은';
  };
  return (
    <TopNavigation backgroundColor="#191F28" barStyle={'light-content'}>
      <LinearGradient
        colors={['#191F28', '#596E8E']}
        start={{ x: 0, y: 0 }}
        end={{ x: 0, y: 1 }}
        style={{
          flex: 1,
          justifyContent: 'space-between',
          alignItems: 'center',
        }}
      >
        <View className="items-center justify-center pt-[136px]">
          <Text
            face={'title'}
            weight={'bold'}
            size={'2xlarge'}
            textColor={'white'}
          >
            AI로 시작하는 여행123
          </Text>
          <Text
            face={'title'}
            weight={'regular'}
            size={'medium'}
            textColor={'gray-300'}
          >
            나만의 특별한 여정을 발견하세요
          </Text>
        </View>
        <View className="items-center gap-[32px]  pb-[36px]">
          <View className="flex-row gap-[6px]">
            <Chip
              variant={'staticWhite'}
              shape={'round'}
              text={'랜덤 추천'}
              size={'small'}
              onPress={() => {
                console.log('랜덤 추천');
              }}
            />
            <Chip
              variant={'staticWhite'}
              shape={'round'}
              text={'내 주변 여행지 찾기'}
              size={'small'}
              onPress={async () => {
                const res = await handleSearch();
                // console.log('aaaa:: ', res);
                // console.log('내 주변 여행지 찾기');
              }}
            />
          </View>

          {/* <SearchButton /> */}
        </View>
      </LinearGradient>
    </TopNavigation>
  );
}
